function phi1 = calcPhi1(knots,x),
t1=knots(1);
t2=knots(2);
t3=knots(3);

A=[t2^2 t2 1
    2*t2 1 0
    2*t3 1 0];
%Solving Ax=B
B=[t2-t1;1;0];

coeffs=inv(A)*B;
a=coeffs(1);
b=coeffs(2);
c=coeffs(3);



phi1=zeros(size(x));
zeropart=find(x<t1);
linpart = find(x>=t1&x<t2);
quadpart=find(x>=t2&x<t3);
flatpart=find(x>=t3);

phi1(zeropart)=0;
phi1(linpart)=1;
phi1(quadpart)=2*a*x(quadpart)+b;
phi1(flatpart)=0;

