%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Init file for filters in the simulation model
%
% Erlend Helgeland 25.04.08
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf('--------- Start of filter_init.m ---------\n');

%T_lp = 8e-2;%lp velocity filter time constant
%T_lpa = 1e-2;%lp acceleration filter time constant
T_lp = 4e-3;%8e-4;%1e-3;%lp velocity filter time constant
T_lpa = 1e-1%20e-2;%1e-2;%lp acceleration filter time constant
T_lpa2 = 1e-2;;%lp dot acceleration filter time constant

lambda_0 = 1.1;%
lambda_1 = 1.5;%
lambda_2 = 2;
L_robust = 14;%Robust differentiator Lipschtiz constant gain
L_const = 10%10;%L(t)=L_robust*sqrt(y^2 + (\dot y)^2 + L_const) = Lipschtiz constant estimate^2 for dot z_k

fprintf('--------- End of filter_init.m ---------\n');