%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Sliding mode controller design
%
% Erlend Helgeland
% 03.28.08
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf('--------- Start of sliding_mode.m ---------\n');

a1 = 1e5%1e5%1e3;%1e4;%"P"-virkning
a2 = 1e3%10e2%1e3;%2*sqrt(a1);%1e3%1e0;%"D"-virkning

epsilon_sm = 1e0;%Boundary layer thickness 

k_2 = 5e-4;%1e-3;
alpha_blsm =12e-3;%0.07;%1e0;%Boundary layer v_r gain
T_falloff = 1e-3;%Slow fall-off filter time constant

G_0 = 1.997e5;
C_F = 1.593e4;
k_0 = 1e-3;

beta = C_F/G_0 + k_0;
beta_bl = beta;%3e-2;%Boundary layer SMC gain

alpha_2sm = 1;%2-sliding mode parameter
a1_2sm = 1e5;%"P"-virkning
a2_2sm = 1e1;%"D"-virkning

fprintf('--------- End of sliding_mode.m ---------\n');