%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Set test parameters
%
% Erlend Helgeland 13.05.08
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf('--------- Start of lab_setparam.m ---------\n');

%Switches
filter_switch = 0;%Toggle filter use. 0:lp filter 1:robust filter
controller_switch = 0;% 0:PD controller 1:Modified boundary layer
ref_switch = 0;%0: Reference function 1: Pedal

simulation_init;%Load initial values
control_init;%Load controller parameters
filter_init;%Load filter parameters

%From sim_nonlinControl.m
dT_sim = 1e-3;  % [s] Simulation period
dT_con = 1e-3;  % [s] Controller period
dT_m = 1e-3;    % [s] Measurement period
T_f = inf;      % [s] Simulation time

X_y_pedal=2;
K_pedal=39.6;
Y0_pedal=-3.24;
X_pedal_char=[0 0.14 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0];
Y_pedal_char=[0 0 1.5 4 6 8 13 18 20 20 20];

y_bias = 0;
fprintf('--------- End of lab_setparam.m ---------\n');